Workday Internet Browser Requirements


Desktop Browsers

Internet Browser

Version

Requirements/Comments

Microsoft® Internet Explorer 7+

For Internet Explorer 7.x and 8.x: Workday requires Workday Open Frame add-on (Workday supported through May 2016).

Mozilla® Firefox 35+

None.

Google® Chrome 31+

None.

Apple® Safari 6+

Only supported on Mac OS X.

Opera® Browser 25+

None.



 Last Modified 11/8/16